package com.bonus.canteen.core.order.deprecated.service;


import com.bonus.canteen.core.order.deprecated.dto.*;
import com.bonus.canteen.core.order.deprecated.vo.MacOrdPayVO;
import com.bonus.canteen.core.order.deprecated.vo.MacOrdSupermarketPayVO;
import com.bonus.common.core.web.domain.AjaxResult;

/** @deprecated */
@Deprecated
public interface MacPayNewBusiness {
   MacOrdPayVO macOrdPlaceAndPay(MacPayReceiptOrdDTO receiptOrdDTO);

   MacOrdPayVO macOrdPayResultQuery(MacQueryPayReceiptOrdDTO receiptOrdQueryDTO);

   MacOrdPayVO macOrdPayCancel(MacOrdPayCancelDTO macOrdPayCancelDTO);

   String macOrdPayCancelOffline(MacOrdPayCancelDTO macOrdPayCancelDTO);

   AjaxResult faceCallBackPayHandler(MacPayReceiptOrdDTO receiptOrdDTO);

   void ordOfflineUpload(MacPayReceiptOffLineDTO receiptOffLineDTO);

   String getMacOrdHandlerKey(String macOrdId);

   MacOrdSupermarketPayVO macSupermakertPay(SupermarketOrdDTO payOrdDTO);

   void macSupermakertBack(String macOrdId);

   MacOrdSupermarketPayVO macSupermakertPaySelect(SupermarketPayReslutSelectDTO queryPayDTO);
}
